Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class RemoveFromCartEvent

    java.lang.Object
      |
      +--com.bea.p13n.property.AbstractConfigurableEntity
            |
            +--com.bea.p13n.events.Event
                  |
                  +--com.bea.p13n.tracking.events.TrackingEvent
                        |
                        +--com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
                              |
                              +--com.bea.commerce.ebusiness.tracking.events.RemoveFromCartEvent

All Implemented Interfaces:
  ConfigurableEntity, EventConstants, Serializable

public class RemoveFromCartEvent
extends ShoppingEvent

Event for tracking shopping cart removes

See Also:
  Serialized Form

Field Summary
`static String` | `TYPE` The event type
`static String` | `UNIT_PRICE` Event attribute key name for unit price (used by shopping and buy) Attribute value is a Double
`static String` | `XML_NAMESPACE` The XML namespace for this event
`static String` | `XSD_FILE` The XSD file containing the schema for this event

Fields inherited from class com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
`APPLICATION_NAME, CURRENCY, QUANTITY, SKU`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`APPLICATION, REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`RemoveFromCartEvent(HttpSession session, HttpServletRequest theRequest, String aSKU, Double theQuantity, Double theUnitPrice, String aCurrency, String aApplicationName)` Create a new RemoveFromCartEvent.
`RemoveFromCartEvent(String theSessionId, String theUserId, HttpServletRequest theRequest, String aSKU, Double theQuantity, Double theUnitPrice, String aCurrency, String aApplicationName)` Deprecated.

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  The event type

  See Also:
    Constant Field Values

### XML_NAMESPACE

    public static final String XML_NAMESPACE

  The XML namespace for this event

  See Also:
    Constant Field Values

### XSD_FILE

    public static final String XSD_FILE

  The XSD file containing the schema for this event

  See Also:
    Constant Field Values

### UNIT_PRICE

    public static final String UNIT_PRICE

  Event attribute key name for unit price (used by shopping and buy) Attribute value is a Double

  See Also:
    Constant Field Values

Constructor Detail

### RemoveFromCartEvent

    public RemoveFromCartEvent(HttpSession session,
                               HttpServletRequest theRequest,
                               String aSKU,
                               Double theQuantity,
                               Double theUnitPrice,
                               String aCurrency,
                               String aApplicationName)

  Create a new RemoveFromCartEvent. This ctor must be used to track anonymous users.

Parameters:
  `session` - the http servlet session object
  `theRequest` - the http servlet request object
  `aSKU` - SKU of the item (optionally null)
  `theQuantity` - quantity of item
  `theUnitPrice` - price per unit quantity of the item
  `aCurrency` - the currency (null if unknown)
  `aApplicationName` - application name (aka storefront) (optionally null)

### RemoveFromCartEvent

    public RemoveFromCartEvent(String theSessionId,
                               String theUserId,
                               HttpServletRequest theRequest,
                               String aSKU,
                               Double theQuantity,
                               Double theUnitPrice,
                               String aCurrency,
                               String aApplicationName)

  Deprecated.

  Create a new RemoveFromCartEvent.

Parameters:
  `theSessionId` - from HttpSession.getId()
  `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown
  `theRequest` - the http servlet request object
  `aSKU` - SKU of the item (optionally null)
  `theQuantity` - quantity of item
  `theUnitPrice` - price per unit quantity of the item
  `aCurrency` - the currency (null if unknown)
  `aApplicationName` - application name (aka storefront) (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved